'\" t
.\"     Title: SPI_prepare_params
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 13.1 Documentation
.\"    Source: PostgreSQL 13.1
.\"  Language: English
.\"
.TH "SPI_PREPARE_PARAMS" "3" "2020" "PostgreSQL 13.1" "PostgreSQL 13.1 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
SPI_prepare_params \- prepare a statement, without executing it yet
.SH "SYNOPSIS"
.sp
.nf
SPIPlanPtr SPI_prepare_params(const char * \fIcommand\fR,
                              ParserSetupHook \fIparserSetup\fR,
                              void * \fIparserSetupArg\fR,
                              int \fIcursorOptions\fR)
.fi
.SH "DESCRIPTION"
.PP
\fBSPI_prepare_params\fR
creates and returns a prepared statement for the specified command, but doesn\*(Aqt execute the command\&. This function is equivalent to
\fBSPI_prepare_cursor\fR, with the addition that the caller can specify parser hook functions to control the parsing of external parameter references\&.
.SH "ARGUMENTS"
.PP
const char * \fIcommand\fR
.RS 4
command string
.RE
.PP
ParserSetupHook \fIparserSetup\fR
.RS 4
Parser hook setup function
.RE
.PP
void * \fIparserSetupArg\fR
.RS 4
pass\-through argument for
\fIparserSetup\fR
.RE
.PP
int \fIcursorOptions\fR
.RS 4
integer bit mask of cursor options; zero produces default behavior
.RE
.SH "RETURN VALUE"
.PP
\fBSPI_prepare_params\fR
has the same return conventions as
\fBSPI_prepare\fR\&.
